Pin Set
POST
/v1/hidden-pin
const url = 'https://api.cloud.agentums.ru/v1/hidden-pin';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"old_pin":"example","pin":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloud.agentums.ru/v1/hidden-pin \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "old_pin": "example", "pin": "example" }'Установить PIN (смена — только со старым PIN). Сразу возвращает unlock-токен.
Authorizations
Заголовок раздела «Authorizations»Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
PinUnlockOut
object
expires_in
required
Expires In
integer
token
required
Token
string
Examplegenerated
{ "expires_in": 1, "token": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}